## org.eclipse.amp.amf.testing.ide
Class TestRun

    java.lang.Object
      org.eclipse.amp.amf.testing.ide.TestRun

    public class TestRun

extends java.lang.Object

Author:
  mparker

Constructor Summary
`TestRun(TestRunSet testRunSet, RunSet runSet, org.eclipse.core.resources.IProject project, org.eclipse.emf.ecore.resource.Resource atestResource, IInterpreterProvider aParPool)`

Method Summary
`Run` `getRun()`
`void` `loadTest()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestRun

    public TestRun(TestRunSet testRunSet,
                   RunSet runSet,
                   org.eclipse.core.resources.IProject project,
                   org.eclipse.emf.ecore.resource.Resource atestResource,
                   IInterpreterProvider aParPool)

Method Detail

### loadTest

    public void loadTest()

### getRun

    public Run getRun()